package com.alterdekim.hearthhack.component.processor.client.request;

import com.alterdekim.hearthhack.component.TcpConnection;
import com.alterdekim.hearthhack.util.BattleNetPacket;
import com.alterdekim.hearthhack.util.ClientRequestBody;
import lombok.NoArgsConstructor;

@NoArgsConstructor
public abstract class ClientRequestParser {

    public abstract void parse(BattleNetPacket packet, ClientRequestBody body, TcpConnection conn) throws Exception;

    public abstract int getId();
}
